using Core.Entities;

namespace Application.Services.Database;

public interface IDoctorRepository
{
    Task AddAsync(Doctor doctor);

    Task<Doctor?> GetByIdAsync(Guid id);

    Task<Doctor?> FindByEmailAsync(string email);
    Task<bool> CredentialsMatch(string email, string password);

    Task UpdateAsync(Doctor doctor);

    Task DeleteAsync(Doctor doctor);

    Task<IEnumerable<Doctor>> GetAllAsync();
}